{
    "type": "project",
    "homepage": "https://www.kohinos.com",
    "name": "kohinos/kohinos",
    "description": "Kohinos : Outil de gestion de monnaie locale complémentaire",
    "license": "AGPL-3.0-or-later",
    "authors": [
        {
            "name": "Julien Jorry",
            "email": "julien.jorry@gmail.com",
            "homepage": "https://www.malt.fr/profile/julienjorry"
        }
    ],
    "require": {
        "php": "^7.4",
        "ext-ctype": "*",
        "ext-filter": "*",
        "ext-iconv": "*",
        "ext-intl": "*",
        "ext-json": "*",
        "ext-mbstring": "*",
        "api-platform/core": "^2.6",
        "beberlei/doctrineextensions": "^1.3",
        "cron/cron-bundle": "^2.4",
        "doctrine/annotations": "1.*",
        "doctrine/common": "^2.13",
        "doctrine/doctrine-bundle": "^1.12",
        "doctrine/doctrine-fixtures-bundle": "^3.4",
        "doctrine/doctrine-migrations-bundle": "^3.0",
        "doctrine/migrations": "^3.1",
        "doctrine/orm": "^2.7",
        "ekyna/payum-payzen": "@dev",
        "friendsofsymfony/user-bundle": "^2.1",
        "gamez/ramsey-uuid-normalizer": "^2.1",
        "geocoder-php/cache-provider": "^4.3",
        "geocoder-php/google-maps-provider": "^4.6",
        "geocoder-php/nominatim-provider": "^5.4",
        "gregwar/captcha-bundle": "2.1.*",
        "hautelook/alice-bundle": "^2.9",
        "knplabs/knp-paginator-bundle": "2.*",
        "knpuniversity/oauth2-client-bundle": "^2.8",
        "lexik/translation-bundle": "~4.0",
        "liip/imagine-bundle": "^2.5",
        "michaeldegroot/doctrine-encrypt-bundle": "3.0.*",
        "nelmio/api-doc-bundle": "^3.3",
        "nelmio/cors-bundle": "^2.2",
        "nyholm/psr7": "^1.4",
        "payum/offline": "^1.6",
        "payum/payum-bundle": "^2.4",
        "php-http/guzzle6-adapter": "^2.0",
        "php-http/message": "^1.7",
        "phpdocumentor/reflection-docblock": "^5.3",
        "phpstan/phpdoc-parser": "^1.4",
        "pixassociates/sortable-behavior-bundle": "^1.5",
        "prodigious/sonata-menu-bundle": "^3.0",
        "ramsey/uuid-doctrine": "^1.6",
        "sensio/framework-extra-bundle": "^5.1",
        "shivas/versioning-bundle": "^3.2",
        "sonata-project/admin-bundle": "3.*",
        "sonata-project/block-bundle": "3.*",
        "sonata-project/classification-bundle": "3.*",
        "sonata-project/doctrine-extensions": "1.*",
        "sonata-project/doctrine-orm-admin-bundle": "3.*",
        "sonata-project/easy-extends-bundle": "2.*",
        "sonata-project/form-extensions": "1.*",
        "sonata-project/formatter-bundle": "4.*",
        "sonata-project/intl-bundle": "2.*",
        "sonata-project/media-bundle": "3.*",
        "sonata-project/translation-bundle": "2.*",
        "sonata-project/twig-extensions": "1.*",
        "sonata-project/user-bundle": "4.*",
        "specshaper/gdpr-bundle": "2.*",
        "stof/doctrine-extensions-bundle": "1.*",
        "symfony/apache-pack": "^1.0",
        "symfony/asset": "4.4.*",
        "symfony/cache": "4.4.*",
        "symfony/console": "4.4.*",
        "symfony/dotenv": "4.4.*",
        "symfony/expression-language": "4.4.*",
        "symfony/flex": "^1.2",
        "symfony/form": "4.4.*",
        "symfony/framework-bundle": "4.4.*",
        "symfony/http-client": "4.4.*",
        "symfony/monolog-bundle": "3.*",
        "symfony/process": "4.4.*",
        "symfony/property-access": "4.4.*",
        "symfony/property-info": "4.4.*",
        "symfony/proxy-manager-bridge": "4.4.*",
        "symfony/security-bundle": "4.4.*",
        "symfony/serializer": "4.4.*",
        "symfony/swiftmailer-bundle": "^3.1",
        "symfony/translation": "4.4.*",
        "symfony/twig-bundle": "4.4.*",
        "symfony/validator": "4.4.*",
        "symfony/web-link": "4.4.*",
        "symfony/webpack-encore-bundle": "^1.11",
        "symfony/yaml": "4.4.*",
        "twig/extensions": "^1.5",
        "twig/extra-bundle": "^2.12|^3.0",
        "twig/twig": "^2.12|^3.0",
        "vich/uploader-bundle": "^1.8",
        "willdurand/geocoder-bundle": "^5.0"
    },
    "require-dev": {
        "deployer/recipes": "^6.2",
        "friendsofphp/php-cs-fixer": "^2.16",
        "friendsoftwig/twigcs": "5.*",
        "maglnet/composer-require-checker": "^2.0",
        "phpmd/phpmd": "^2.9",
        "phpro/grumphp": "^0.22.0",
        "phpunit/phpunit": "^9.3",
        "squizlabs/php_codesniffer": "^3.5",
        "symfony/browser-kit": "4.4.*",
        "symfony/css-selector": "4.4.*",
        "symfony/debug-bundle": "4.4.*",
        "symfony/maker-bundle": "^1.0",
        "symfony/phpunit-bridge": "^5.1",
        "symfony/stopwatch": "4.4.*",
        "symfony/var-dumper": "4.4.*",
        "symfony/web-profiler-bundle": "4.4.*"
    },
    "config": {
        "preferred-install": {
            "*": "dist"
        },
        "sort-packages": true,
        "allow-plugins": {
            "phpro/grumphp": true,
            "symfony/flex": true
        }
    },
    "autoload": {
        "psr-4": {
            "App\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\Tests\\": "tests/"
        }
    },
    "replace": {
        "egeloen/ckeditor-bundle": "*",
        "paragonie/random_compat": "2.*",
        "symfony/polyfill-ctype": "*",
        "symfony/polyfill-iconv": "*",
        "symfony/polyfill-php71": "*",
        "symfony/polyfill-php70": "*",
        "symfony/polyfill-php56": "*"
    },
    "scripts": {
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd"
        },
        "post-install-cmd": [
            "@auto-scripts"
        ],
        "post-update-cmd": [
            "@auto-scripts"
        ]
    },
    "conflict": {
        "symfony/symfony": "*"
    },
    "extra": {
        "symfony": {
            "allow-contrib": true,
            "require": "4.4.*"
        }
    },
    "repositories": [
        {
            "type": "path",
            "url": "./lib/ekyna/payum-payzen"
        }
    ]
}
